package com.njzscloud.common.sn.contant;

import com.njzscloud.common.core.ienum.DictStr;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 字典代码：random_mode
 * 字典名称：随机模式
 */
@Getter
@RequiredArgsConstructor
public enum RandomMode implements DictStr {
    SnowFlake("SnowFlake", "雪花码"),
    UUID("UUID", "UUID"),
    NanoId("NanoId", "NanoId");

    private final String val;

    private final String txt;
}    
